<?php

/*
	Predefined color set: predefinedColors()
	General settings: renderGeneralSettings() - 174
	Styling: renderStyleSettings() - 136
	Message Bar rendering: renderBar() - 446
	Message Bar CSS: gc_message_bar_style.php	
*/

class Gc_Message_Bar {
	const GC_NS = "gc_message_bar_";
	const GC_HEIGHT = "40";
	public function Gc_Message_Bar() {
		
	}
	
	protected function predefinedColors($set = 0) {
		$colorSets = array(
			/*   bg1          bg2      message     butbg1     butbg2      borderc.    buttextc.   hover1      hover2   hoverborder  hovertext */
			"['#3faace', '#027ea9', '#ffffff', '#b9d245', '#778d29', '#778d29', '#ffffff', '#f6e155', '#cea72e', '#c49f25', '#005c83', true, '2','2','1']", //BLUe
			"['#b9d245', '#778d29', '#ffffff', '#f6e155', '#cea72e', '#c49f25', '#005c83', '#3faace', '#027ea9', '#027ea9', '#ffffff', true, '2','1','2']", //GReeN
			"['#ee6b6b', '#d21d1d', '#ffffff', '#f6e155', '#cea72e', '#c49f25', '#005c83', '#3faace', '#027ea9', '#027ea9', '#ffffff', true, '2','1','2']", //ReD
			"['#f6a255', '#d2741d', '#ffffff', '#3faace', '#027ea9', '#027ea9', '#ffffff', '#b9d245', '#778d29', '#778d29', '#ffffff', true, '2','2','2']", //ORANGe
			"['#b7b7b7', '#969696', '#ffffff', '#ee6b6b', '#d21d1d', '#d21d1d', '#ffffff', '#3faace', '#027ea9', '#027ea9', '#ffffff', true, '2','2','2']", //GRAY
			"['#191919', '#000000', '#ffffff', '#ee6b6b', '#d21d1d', '#d21d1d', '#ffffff', '#b9d245', '#778d29', '#778d29', '#ffffff', true, '2','2','2']", //BLACK
			"['#ffffff', '#eeeeee', '#000000', '#ee6b6b', '#d21d1d', '#d21d1d', '#ffffff', '#b9d245', '#778d29', '#778d29', '#ffffff', true, '1','2','2']"  //WHITe
		);
		return $colorSets[$set];
	}
	
	public function subMenu() {
		//add_plugins_page('GC Message Bar Options', 'GC Message Bar','manage_options', 'my-unique-identifier', 'gc_message_bar_menupage'); //Ha pluginsba kell, akkor ez is j!
		$this->addSubmenuPage( 'plugins.php', 'GC Message Bar Options', 'GC Message Bar','manage_options', 'gc_message_bar', array($this, 'subMenuPage'));
	}

	protected function addSubmenuPage ($parent, $pageTitle, $menuTitle, $capability, $ident, $function) {
		add_submenu_page( $parent, $pageTitle, $menuTitle, $capability, $ident, $function );
	}
	
	public function optionSave($optionName, $newValue) {
		if ( $this->getOption( $optionName ) != $newValue ) {
			$this->updateOption( $optionName, $newValue );
		} else {
			$deprecated = ' ';
			$autoload = 'no';
			$this->addOption( $optionName, $newValue, $deprecated, $autoload );
		}
	}

	public function getOptionName($name){
		return self::GC_NS.$name;
	}
	
	protected function addOption($optionName,$optionValue, $deprecated=' ', $autoload='no'){
		add_option($this->getOptionName($optionName),$optionValue, $deprecated, $autoload);
	}
	
	protected function updateOption($optionName,$optionValue){
		update_option($this->getOptionName($optionName),$optionValue);
	}
	
	public function getOption($optionName,$default = null){
		return esc_attr(get_option($this->getOptionName($optionName)));
	}
	
	public function getOptionNames() {
		return array('background_color','background_color2','message_color','action_button_color','action_button_color2','action_button_border_color','action_button_text_color','action_button_hover','action_button_hover2','action_button_hover_border_color','action_button_hover_text_color','text_shadow','message_shadow','button_shadow','button_hover_shadow','action_button_corner_radius','action_url','action_target','action_button_text','message_text','content_align','location','trigger','delay','reach_scroll');
	}
	
	public function initValues() {
		$options = $this->getOptionNames();
		$values = array('#3faace', '#027ea9', '#ffffff', '#b9d245', '#778d29', '#778d29', '#ffffff', '#f6e155', '#cea72e', '#c49f25', '#005c83', '1','2','2','1', '3', 'http://wordpress.org/extend/plugins/gc-message-bar/', '1', 'Download', 'Get an awesome sticky header bar!', '2', '1', 'delay_row', '1', '100');
		for ($i=0; $i<count($options); ++$i) {
			$value = $this->getOption($options[$i]);
			if ($values[$i] && empty($value)) {
				$this->optionSave($options[$i],$values[$i]);
			} else {
				continue;
			}
		}
	}
	
	protected function setUpOptions() {
		return array(
			'style' => array(
				'background_color' => array( __('Background Color:') , 'color' ),
				'background_color2' => array( __('Background Color 2 (gradient):'), 'color' ),
				'message_color' => array( __('Message Text Color:') , 'color' ),
				'action_button_color' => array( __('Action Button Color:'), 'color' ),
				'action_button_color2' => array( __('Action Button Color 2 (gradient):'), 'color' ),
				'action_button_border_color' => array( __('Action Button Border Color:'), 'color' ),
				'action_button_text_color' => array( __('Action Button Text Color:'), 'color' ),
				'action_button_hover' => array( __('Action Button Hover Color:'), 'color' ),
				'action_button_hover2' => array( __('Action Button Hover Color 2 (gradient):'), 'color' ),
				'action_button_hover_border_color' => array( __('Action Button Hover Border Color:'), 'color' ),
				'action_button_hover_text_color' => array( __('Action Button Hover Text Color:'), 'color' ),
				'text_shadow' => array( __('Text Shadow:'), 'checkbox' ),
				'message_shadow' => array( __('Message Text Shadow:'), 'radio' ),
				'button_shadow' => array( __('Action Button Shadow:'), 'radio' ),
				'button_hover_shadow' => array( __('Action Button Hover Shadow:'), 'radio' ),
				'action_button_corner_radius' => array( __('Action Button Corner Radius:'), 'number' )
			),
			'general' => array(
				'action_url' => array( __('Action URL:'), 'text' ),
				'action_target' => array( __('Action Target To New Window:'), 'checkbox' ),
				'action_button_text' => array( __('Action Button Text:'), 'text' ),
				'message_text' => array( __('Message Text:'), 'textarea' ),
				'content_align' => array( __('Content Align: '), 'select1' ),
				'location' => array( __('Location:'), 'radio2' ),
				'trigger' => array( __('Trigger Event:'), 'select2' ),
				'delay' => array( __('Appearing delay:'), 'number' ),
				'reach_scroll' => array ( __('Scroll Position:'), 'number')
			),
		);
	}
	
	public function subMenuPage() {
		global $GC_Message_Bar_Config;
		$this->initValues();
		if ( !current_user_can( 'manage_options' ) )  {
			wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
		}
		$options = $this->setUpOptions();
		?>
		<div id="gc_message_bar_admin">
			<!--<div id="icon-themes" class="icon32 gc_icon32"><br/></div>-->
			<h2>GC Message Bar</h2>
			<div class="wrap">
				<div class="mainmessage">
					Have questions or wanna suggest an idea? Visit the <a href="<?=$GC_Message_Bar_Config['GCHOME']; ?>/forum?utm_source=gc_message_bar_text&utm_medium=top_message&utm_campaign=discuss_forum" target="_blank">GC Message Bar forum</a>
				</div>
				<form method="post" id="updateSettings">
				<?php $this->renderGeneralSettings($options); ?>
				<div class="submit">
					<input name="Submit_gc_message_bar" type="submit" class="button-primary" value="Save Changes" />
				</div>
				<?php $this->renderStyleSettings($options); ?>
				<div class="submit bottom">
					<input name="Submit_gc_message_bar" type="submit" class="button-primary" value="Save Changes" />
				</div>
				<div class="copy">GC Message Bar plugin for WordPress by <a href="<?=$GC_Message_Bar_Config['GCHOME']; ?>/?utm_source=gc_message_bar_text&utm_medium=copy_message&utm_campaign=home" target="_blank">GetConversion</a></div>
				</form>
			</div>
			<div id="gc_ad">
				<iframe id="gc_message_bar_banners" src="<?=$GC_Message_Bar_Config['GCHOME'].$GC_Message_Bar_Config['GCSERVICES'].'/gcmessagebarad';?>"></iframe>
			</div>
			<div class="clear"></div>
		</div>
		<?
	}
	
	protected function renderStyleSettings($options) {
		wp_nonce_field( 'adminInit' );
		do_settings_sections( 'style_options' );
		settings_fields( 'style_options' ); ?>
		<div id="style-elements" class="<?=self::GC_NS;?>admin">
			<table class="form-table">
				<tbody>
					<?php 
						foreach($options['style'] as $key => $element) {
					?>
					<tr id="<?php echo $key; ?>_row">
						<th scope="row" style="text-align: right; vertical-align: top;">
							<?php echo __($element[0]); ?>
						</th>
						<td>
							<?php if($element[1] == 'color') { ?>
							<input type="text" id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]" value="<?php echo $this->getOption($key); ?>" />
							<div class="colorpickers" id="<?php echo $this->getOptionName($key); ?>_cp"></div>
							<? } 
							if ($element[1] == 'checkbox') {
							?>
								<input <?php if($this->getOption($key) == "1") echo "checked=\"checked\""; ?> id="<?php echo $this->getOptionName($key); ?>" type="checkbox" name="post[<?php echo $this->getOptionName($key); ?>]" value="1" />
							<?
							}
							if ($element[1] == 'radio') {
							?>
								<div id="top"><input <?php if($this->getOption($key) == "1") echo "checked"; ?> type="radio" id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]" value="1" /> <?php echo __('light shadow') ?></div>
								<div id="top"><input <?php if($this->getOption($key) == "2") echo "checked"; ?> type="radio" id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]" value="2" /> <?php echo __('dark shadow') ?></div>
							<?
							}
							if ($element[1] == 'number') {
							?>
								<input type="number" name="post[<?php echo $this->getOptionName($key); ?>]" value="<?php echo $this->getOption($key); ?>" min="0" />
							<?
							}
							?>
						</td>
					</tr>
					<? } ?>
				</tbody>
			</table><div class="clear"></div>
		</div><?
	}
	
	protected function renderGeneralSettings($options) {
		wp_nonce_field( 'update-options' );
		do_settings_sections( 'general_options' );
		settings_fields( 'general_settings' ); ?>
		<div id="general-elements" class="<?=self::GC_NS;?>admin">
			<table class="form-table">
				<tbody>
					<?php 
						foreach($options['general'] as $key => $element) {
					?>
					<tr id="<?php echo $key; ?>_row">
						<th scope="row" style="text-align: right; vertical-align: top;"><?php echo __($element[0]); ?></th>
						<td>
							<?php if($element[1] == 'text') { ?>
							<input type="text" id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]" value="<?php echo $this->getOption($key); ?>" />
							<? } 
							if ($element[1] == 'checkbox') {
							?>
								<input <?php if($this->getOption($key) == "1") echo "checked=\"checked\""; ?> type="checkbox" id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]" value="1" />
							<?
							}
							if ($element[1] == 'textarea') {
							?>
								<textarea id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]"><?php echo $this->getOption($key); ?></textarea>
							<?
							}
							if ($element[1] == 'select1') {
							?>
								<select id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]">
									<option <?php if($this->getOption($key) == "1") echo "selected=\"selected\""; ?> value="1"><?php echo __('Button at end: message left / button left') ?></option>
									<option <?php if($this->getOption($key) == "2") echo "selected=\"selected\""; ?> value="2"><?php echo __('Button at end: message center / button center') ?></option>
									<option <?php if($this->getOption($key) == "3") echo "selected=\"selected\""; ?> value="3"><?php echo __('Button at end: message right / button right') ?></option>
									<option <?php if($this->getOption($key) == "4") echo "selected=\"selected\""; ?> value="4"><?php echo __('Button at end: message left / button right') ?></option>
									<option <?php if($this->getOption($key) == "5") echo "selected=\"selected\""; ?> value="5"><?php echo __('Button first: button left / message left') ?></option>
									<option <?php if($this->getOption($key) == "6") echo "selected=\"selected\""; ?> value="6"><?php echo __('Button first: button center / message center') ?></option>
									<option <?php if($this->getOption($key) == "7") echo "selected=\"selected\""; ?> value="7"><?php echo __('Button first: button right / message right') ?></option>
									<option <?php if($this->getOption($key) == "8") echo "selected=\"selected\""; ?> value="8"><?php echo __('Button first: button left / message right') ?></option>
								</select>
							<?
							}
							if ($element[1] == 'select2') {
							?>
								<select id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]">
									<option <?php if($this->getOption($key) == "delay_row") echo "selected=\"selected\""; ?> value="delay_row"><?php echo __('On load with time delay (seconds)') ?></option>
									<option <?php if($this->getOption($key) == "reach_scroll_row") echo "selected=\"selected\""; ?> value="reach_scroll_row"><?php echo __('On a scroll position (pixels)') ?></option>
								</select>
							<?
							}
							if ($element[1] == 'radio2') {
							?>
								<div id="top"><input <?php if($this->getOption($key) == "1") echo "checked"; ?> type="radio" id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]" value="1" /> <?php echo __('top of the window') ?></div>
								<div id="top"><input <?php if($this->getOption($key) == "2") echo "checked"; ?> type="radio" id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]" value="2" /> <?php echo __('bottom of the window') ?></div>
							<?
							}
							if ($element[1] == 'number') {
							?>
								<input type="number" id="<?php echo $this->getOptionName($key); ?>" name="post[<?php echo $this->getOptionName($key); ?>]" value="<?php echo $this->getOption($key); ?>" min="0" />
							<?
							}
							?>
						</td>
					</tr>
					<? } ?>
					<tr>
						<th scope="row" style="text-align: right; vertical-align: top;"><?php echo __('Predefined Color Sets:') ?></th>
						<td>
							<select id="<?=self::GC_NS; ?>predefined">
								<option selected="selected" disabled="disabled" value="none"><?php echo __('Select a predefined set') ?></option>
								<option style="padding: 5px; color: #000000; font-weight: bold; background-color: #3faace;" value="0"><?php echo __('Blue') ?></option>
								<option style="padding: 5px; color: #FFFFFF; font-weight: bold; background-color: #b9d245;" value="1"><?php echo __('Green') ?></option>
								<option style="padding: 5px; color: #000000; font-weight: bold; background-color: #ee6b6b;" value="2"><?php echo __('Red') ?></option>
								<option style="padding: 5px; color: #FFFFFF; font-weight: bold; background-color: #f6a255;" value="3"><?php echo __('Orange') ?></option>
								<option style="padding: 5px; color: #000000; font-weight: bold; background-color: #b7b7b7;" value="4"><?php echo __('Gray') ?></option>
								<option style="padding: 5px; color: #FFFFFF; font-weight: bold; background-color: #000000;" value="5"><?php echo __('Black') ?></option>
								<option style="padding: 5px; color: #000000; font-weight: bold; background-color: #FFFFFF;" value="6"><?php echo __('White') ?></option>
							</select>
						</td>
					</tr>
				</tbody>
			</table>
			<input type="hidden" name="<? echo $this->getOptionName('hidden'); ?>" />
		</div>
		<script type="text/javascript" src="<?=get_bloginfo('wpurl'); ?>/wp-admin/js/farbtastic.js"></script>
		<script type="text/javascript">
			var GC = {};
			GC.MessageBar = {
				sets : [<?php for ($i=0; $i<7; ++$i) { echo $this->predefinedColors($i).", "; } ?>],
				current : [<?php
					$colors = $this->getOptionNames();
					for ($i=0; $i<14; ++$i) { 
						echo "'" . $this->getOption($colors[$i]) . "', ";
					} 
					echo "'" . $this->getOption($colors[14]) . "'";
				?>],
				colorPickerSetup : function () {
					<?php
					foreach($options['style'] as $key => $element) {
					?><?php if($element[1] == 'color') { ?>jQuery('#<?php echo $this->getOptionName($key); ?>_cp').hide();jQuery('#<?php echo $this->getOptionName($key); ?>_cp').farbtastic("#<?php echo $this->getOptionName($key); ?>");jQuery("#<?php echo $this->getOptionName($key); ?>").click(function(){jQuery(".colorpickers:not([id=\"<?php echo $this->getOptionName($key); ?>_cp\"])").slideUp('medium');jQuery('#<?php echo $this->getOptionName($key); ?>_cp').slideToggle('medium');
					});<? } } ?>	
				},
				trigger : function () {
					<?php $trigger = $this->getOptionName('trigger'); ?>
					GC.MessageBar.changeColors(GC.MessageBar.current);	
					jQuery("#"+jQuery("#<?php echo $trigger; ?> option:not(:selected)").val()).hide();
					jQuery("#"+jQuery("#<?php echo $trigger; ?> option:selected").val()).show();
					jQuery("#<?php echo$trigger; ?>").change(function() {
						jQuery("#"+jQuery("#<?php echo $trigger; ?> option:not(:selected)").val()).hide();
						jQuery("#"+jQuery("#<?php echo $trigger; ?> option:selected").val()).show();
					});
					jQuery("#gc_message_bar_predefined").change(function() {
						GC.MessageBar.changeColors(GC.MessageBar.sets[jQuery("#gc_message_bar_predefined option:selected").val()]);
					});
				},
				shadows : function() {
					if (jQuery("#gc_message_bar_text_shadow").is(':checked')) {
						jQuery("#message_shadow_row").show();
						jQuery("#button_shadow_row").show();
						jQuery("#button_hover_shadow_row").show();
					} else {
						jQuery("#message_shadow_row").hide();
						jQuery("#button_shadow_row").hide();
						jQuery("#button_hover_shadow_row").hide();
					}
					jQuery("#gc_message_bar_text_shadow").change(function() {
						if (jQuery("#gc_message_bar_text_shadow").is(':checked')) {
							jQuery("#message_shadow_row").show();
                            jQuery("#button_shadow_row").show();
                            jQuery("#button_hover_shadow_row").show();
						} else {
							jQuery("#message_shadow_row").hide();
							jQuery("#button_shadow_row").hide();
							jQuery("#button_hover_shadow_row").hide();
						}
					});
				},
				changeColors : function (set) {
					<?php 
						for ($i=0; $i<11; ++$i) { ?>
							jQuery('#<?php echo $this->getOptionName($colors[$i]); ?>').val(set[<?php echo strtolower($i); ?>]);
							jQuery.farbtastic('#<?php echo $this->getOptionName($colors[$i]); ?>_cp').setColor(set[<?php echo strtolower($i); ?>]);
						<?php } ?>
						if(set[11] === "1"){
                            jQuery("#gc_message_bar_text_shadow").prop('checked', set[11]);
						}
						jQuery("#message_shadow_row input").each(function() {
							if (jQuery(this).val() == set[12])
								jQuery(this).prop('checked', true);
							else jQuery(this).prop('checked', false);
						});
						jQuery("#button_shadow_row input").each(function() {
							if (jQuery(this).val() == set[13])
								jQuery(this).prop('checked', true);
							else jQuery(this).prop('checked', false);
						});
						jQuery("#button_hover_shadow_row input").each(function() {
							if (jQuery(this).val() == set[14])
								jQuery(this).prop('checked', true);
							else jQuery(this).prop('checked', false);
						});
						GC.MessageBar.shadows();
				},
				Appear : false,
				Init : function () {
					GC.MessageBar.colorPickerSetup();
					GC.MessageBar.trigger();
					GC.MessageBar.shadows();
				}
			};

			jQuery(document).ready(function() {
				GC.MessageBar.Init();
			});
		</script>
	<?php
	}

	public function adminInit() {
		add_settings_section( 'style_settings', 'Style Settings', array($this, 'styleSubMessage'), 'style_options');
		add_settings_section( 'general_settings', 'General Settings', array($this, 'generalSubMessage'), 'general_options');
	}
	
	public function styleSubMessage() {
		__( 'Options for styling the GC Message Bar' );
		echo "<br />";
	}
	
	public function generalSubMessage() {
		__( 'General options for the GC Message Bar' );
		echo "<br />";
	}
	
	protected function renderButton($class = null) {
		$content = "";
		if ($this->getOption('action_target') == "1") {
			$content = "<a target=\"_blank\" ";
		} else {
			$content = "<a target=\"_top\" ";
		}
		$content .= "class=\"gc_message_bar_".$class."\" href=".$this->getOption('action_url').">";
		$content .= "<span id=\"".self::GC_NS."button\">";
		$content .= "<span id=\"".self::GC_NS."buttontext\">".$this->getOption('action_button_text');
		$content .= "</span></span></a>";
		return $content;
	}
	
	protected function renderContent() {
		if ($this->getOption('content_align') < 5)
		return 
			"<div id=\"".self::GC_NS."content\" class=\"".self::GC_NS."contentSetting".$this->getOption('content_align')."\">".
			"<span id=\"".self::GC_NS."message\" class=\"".self::GC_NS."messageSetting".$this->getOption('content_align')."\">".
				$this->getOption('message_text').
			"</span>".
			$this->renderButton('buttonSetting'.$this->getOption('content_align')) . "</div>";
		else return
			"<div id=\"".self::GC_NS."content\" class=\"".self::GC_NS."contentSetting".$this->getOption('content_align')."\">".
			$this->renderButton('buttonSetting'.$this->getOption('content_align')) .
			"<span id=\"".self::GC_NS."message\" class=\"".self::GC_NS."messageSetting".$this->getOption('content_align')."\">".
				$this->getOption('message_text').
			"</span></div>";
	}
	
	public function renderBar() {
		$content = "<script type=\"text/javascript\">var gc_height = ".self::GC_HEIGHT."</script>";
		if ($this->getOption('location') == "1") {
			$content .= "<div id=\"gc_message_bar\" class=\"gc_message_bar_top";
				if ( is_admin_bar_showing() ) {
					$content .= " add_adminbar";
				}
			$content .= "\">";
		} else {
			$content .= "<div id=\"gc_message_bar\" class=\"gc_message_bar_bottom\">";
		}
		$content .= 
				"<div id=\"".self::GC_NS."layout\">".
					"<div id='".self::GC_NS."wrapper'>".
						$this->renderContent().
					"</div>".
				"</div>".
			"</div>";
		if ($this->getOption('trigger') == 'delay_row') {
			$content .= 
				"<script type=\"text/javascript\">".
					"jQuery(document).ready(function() {
						var GC_Message_Bar_htmlMarginTop = (jQuery(\"html\").css('margin-top')) ? (jQuery(\"html\").css('margin-top')) : 0;
						var GC_Message_Bar_htmlMarginBottom = (jQuery(\"html\").css('margin-bottom')) ? (jQuery(\"html\").css('margin-bottom')) : 0;";
			if ($this->getOption('location') == "1") {
				$content .= "jQuery('style[media=\"screen\"]').remove(); jQuery(\"html\").css('margin-top',GC_Message_Bar_htmlMarginTop).delay(".$this->getOption('delay')."*1000).animate({'margin-top' : (parseInt(jQuery(\"html\").css('margin-top')) + gc_height) + 'px'}, 250);";
			} else {
				$content .= "jQuery(\"body\").delay(".$this->getOption('delay')."*1000).animate({'margin-bottom' : (parseInt(jQuery(\"body\").css('margin-bottom')) + gc_height) + 'px'}, 250 );";
			}
			$content .= "jQuery(\"#gc_message_bar\").delay(".$this->getOption('delay')."*1000).slideDown(250";
			
			if ($this->getOption('location') == "1") {
				$content .= ", function() {
							jQuery(\"body\").addClass(\"gcmessagebar\");
						}";
			}
			$content .= ");});".
				"</script>";
		} else {
		
			$content .=
				"<script type=\"text/javascript\">".
					"jQuery(document).ready(function() {
						var GC_Message_Bar_htmlMarginTop = (jQuery(\"html\").css('margin-top')) ? (jQuery(\"html\").css('margin-top')) : 0;
						var GC_Message_Bar_htmlMarginBottom = (jQuery(\"html\").css('margin-bottom')) ? (jQuery(\"html\").css('margin-bottom')) : 0;
						jQuery(window).bind('scroll', function(){
							if( jQuery(\"#gc_message_bar\").css('display') == 'block' ) return false;
							if(jQuery(this).scrollTop() > ".$this->getOption('reach_scroll').") {";
			if ($this->getOption('location') == "1") {
				$content .= "if (jQuery(\"html\").css('margin-top') != (parseInt(GC_Message_Bar_htmlMarginTop) + gc_height + 'px')) {jQuery('style[media=\"screen\"]').remove(); jQuery(\"html\").css('margin-top',GC_Message_Bar_htmlMarginTop).animate({'margin-top' : (parseInt(GC_Message_Bar_htmlMarginTop) + gc_height) + 'px'}, 250) };";
			}
			
			$content .= "jQuery(\"#gc_message_bar\").slideDown(250, function() {";
				
			if ($this->getOption('location') == "1") {
			$content .= "jQuery(\"body\").addClass(\"gcmessagebar\");
						})";
			} else {
				$content .= "if (jQuery(\"body\").css('margin-bottom') != (parseInt(GC_Message_Bar_htmlMarginBottom) + gc_height) + 'px') {jQuery(\"body\").animate({marginBottom : (parseInt(GC_Message_Bar_htmlMarginBottom) + gc_height) + 'px'}, 250) };})";
			}
			$content .= "}});});".
				"</script>";
		}
		echo $content;
	}
	
	

	public function scriptsInit() {
		wp_enqueue_style( 'farbtastic' );
		wp_register_style( 'generated', plugins_url('gc_message_bar_style.php', __FILE__) );
		wp_enqueue_style( 'generated' );
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'farbtastic' );
	}
}

?>